---
title: HarmonAI II
emoji: 🌖
colorFrom: purple
colorTo: gray
sdk: streamlit
sdk_version: 1.33.0
app_file: app.py
pinned: false
license: mit
---


<p align="center">
<img src="https://huggingface.co/datasets/MakiAi/IconAssets/resolve/main/HarmonAI_II_icon.jpeg" width="100%">
<br>
<h1 align="center">HarmonAI II</h1>
<h2 align="center">
  ～AI Harmony, Infinite Possibilities～

[![Hugging Face Spaces](https://img.shields.io/badge/%F0%9F%A4%97%20Hugging%20Face-Spaces-blue)](https://huggingface.co/spaces/MakiAi/HarmonAI_II)
[![HarmonAI_II - Sunwood-ai-labs](https://img.shields.io/static/v1?label=HarmonAI_II&message=Sunwood-ai-labs&color=blue&logo=github)](https://github.com/HarmonAI_II/Sunwood-ai-labs "Go to GitHub repo")
[![stars - Sunwood-ai-labs](https://img.shields.io/github/stars/HarmonAI_II/Sunwood-ai-labs?style=social)](https://github.com/HarmonAI_II/Sunwood-ai-labs)
[![forks - Sunwood-ai-labs](https://img.shields.io/github/forks/HarmonAI_II/Sunwood-ai-labs?style=social)](https://github.com/HarmonAI_II/Sunwood-ai-labs)
[![GitHub Last Commit](https://img.shields.io/github/last-commit/Sunwood-ai-labs/HarmonAI_II)](https://github.com/Sunwood-ai-labs/HarmonAI_II)
[![GitHub Top Language](https://img.shields.io/github/languages/top/Sunwood-ai-labs/HarmonAI_II)](https://github.com/Sunwood-ai-labs/HarmonAI_II)
[![GitHub Release](https://img.shields.io/github/v/release/Sunwood-ai-labs/HarmonAI_II?sort=date&color=red)](https://github.com/Sunwood-ai-labs/HarmonAI_II)
[![GitHub Tag](https://img.shields.io/github/v/tag/Sunwood-ai-labs/HarmonAI_II?color=orange)](https://github.com/Sunwood-ai-labs/HarmonAI_II)

  <br>

</h2>

</p>

>[!IMPORTANT]
>このリポジトリのリリースノートやREADME、コミットメッセージの9割近くは[claude.ai](https://claude.ai/)や[ChatGPT4](https://chatgpt.com/)を活用した[AIRA](https://github.com/Sunwood-ai-labs/AIRA), [SourceSage](https://github.com/Sunwood-ai-labs/SourceSage), [Gaiah](https://github.com/Sunwood-ai-labs/Gaiah), [HarmonAI_II](https://github.com/Sunwood-ai-labs/HarmonAI_II)で生成しています。

## Project: HarmonAI II

```plaintext
OS: nt
Directory: C:\Prj\HarmonAI_II

├─ harmon_ai/
│  ├─ cli.py
│  ├─ harmon_ai.py
│  ├─ utils.py
│  ├─ __init__.py
├─ script/
│  ├─ activate-harmon_ai_dev.bat
├─ app.py
├─ MANIFEST.in
├─ README.md
├─ setup.py
```

## 🌟 HarmonAI IIへようこそ！

HarmonAI IIは、AIとの調和と無限の可能性を追求するプロジェクトです。私たちは、開発者の皆様がAIの力を最大限に活用し、効率的かつ高品質なソフトウェア開発を行えるよう、ユーザーフレンドリーなテンプレートを提供しています。

## 🚀 HarmonAI IIの特長

### 1. 簡単セットアップ
HarmonAI IIは、わずか数ステップでセットアップが完了します。`pip install harmon_ai`コマンドを実行し、設定ファイル(`config.yml`)を編集するだけで、すぐに開発を始められます。

### 2. カスタマイズ性の高さ
設定ファイルを編集することで、プロジェクトの各種設定を自由にカスタマイズできます。リポジトリ名やパッケージ名、アイコン画像のURLなど、プロジェクトの詳細を簡単に変更できます。

### 3. 自動化されたワークフロー
GitHub ActionsとHugging Faceの連携により、コードのプッシュやリリースタグの作成をトリガーとして、自動的にパッケージのビルドとデプロイが行われます。面倒な手作業を省略し、開発に集中できます。

### 4. 充実したドキュメンテーション
HarmonAI IIは、プロジェクトの概要や使い方、アップデート履歴などを体系的にまとめたREADMEテンプレートを提供します。ドキュメントの作成に悩むことなく、わかりやすいREADMEを簡単に生成できます。

### 5. AIによる開発サポート
HarmonAI IIは、SourceSageとclaude.aiを活用し、コミットメッセージやリリースノートの自動生成をサポートします。AIの力を借りることで、開発者は本質的なタスクに集中できます。

## 🛠️ 使い方

1. `pip install harmon_ai`コマンドを実行し、HarmonAI IIをインストールします。
2. プロジェクトのルートディレクトリに`.harmon_ai`ディレクトリを作成し、`config.yml`ファイルを配置します。
3. `config.yml`ファイルを編集し、プロジェクトの各種設定を行います。
4. `harmon-ai`コマンドを実行し、カスタマイズされたREADMEファイルを生成します。

詳細な使用方法については、[ドキュメント](docs/intoro.md)をご覧ください。

## 📝 アップデート

### v1.5.0 (2024-06-02)
- READMEの自動置換機能
- Gaiah設定ファイルの追加

### v1.4.0 (2024-06-01)
- YAMLによる設定ファイル管理
- CI/CDファイルの自動コピー

### v1.3.0 (2024-05-13)
- SNSテンプレートの追加とSNSバッジ生成機能の実装
- CLIの強化とREADMEの更新
- GitHub Actionsトリガーの更新
- リファクタリングとコードのクリーンアップ

### v1.2.0 (2024-05-13)
- `harmon_ai`パッケージの刷新とCLIの導入
- READMEテンプレートファイルの拡充
- `harmon_ai`クラスのテストケースの実装
- パッケージのセットアップ設定の更新

### v1.1.0 (2024-04-24)
- フロントページの作成とREADMEの改善
- GitHub Actionsを使用したHugging Face hubへの自動シンク機能の追加
- プロジェクト名の変更

### v1.0.0 (2024-04-20)
- 初回リリースと基本的な機能の実装



## 🤝 コントリビューション

HarmonAI IIは、オープンソースプロジェクトとして、コミュニティからの貢献を歓迎しています。バグ報告や機能リクエスト、プルリクエストなどを通じて、プロジェクトの改善にご協力ください。コントリビューションガイドラインについては、[CONTRIBUTING.md](CONTRIBUTING.md)をご覧ください。

## 📄 ライセンス

HarmonAI IIは、MITライセンスの下で公開されています。詳細については、[LICENSE](LICENSE)ファイルをご確認ください。

## 🙏 謝辞

HarmonAI IIの開発にあたり、Sunwood-ai-labsチームのメンバー、SourceSageプロジェクト、そしてclaude.aiチームに深く感謝いたします。皆様のご支援なくしては、このプロジェクトは実現できませんでした。

HarmonAI IIは、これからもAIと人間の調和を目指し、開発者の皆様に最高のエクスペリエンスを提供できるよう尽力してまいります。ぜひ、HarmonAI IIを活用し、AIの力を開発に役立ててください！
